## chromium 139.0.7258.127

=== debian/changelog ===
chromium (139.0.7258.127-1~deb13u1) trixie-security; urgency=high

  * New upstream security release.
    - CVE-2025-8879: Heap buffer overflow in libaom. Reported by Anonymous
    - CVE-2025-8880: Race in V8. Reported by Seunghyun Lee (@0x10n).
    - CVE-2025-8901: Out of bounds write in ANGLE.
      Reported by Google Big Sleep.
    - CVE-2025-8881: Inappropriate implementation in File Picker.
      Reported by Alesandro Ortiz.
    - CVE-2025-8882: Use after free in Aura. Reported by Umar Farooq.

 -- Andres Salomon <dilinger@debian.org>  Tue, 12 Aug 2025 17:12:12 -0400
