## chromium 139.0.7258.138~linuxmint1+faye

=== debian/changelog ===
chromium (139.0.7258.138~linuxmint1+faye) unstable; urgency=medium

  * 139.0.7258.138

 -- Linux Mint <root@linuxmint.com>  Tue, 19 Aug 2025 21:26:17 +0100

chromium (139.0.7258.127~linuxmint1) unstable; urgency=medium

  * 139.0.7258.127

 -- Linux Mint <root@linuxmint.com>  Tue, 12 Aug 2025 21:16:54 +0100

chromium (139.0.7258.66~linuxmint1) unstable; urgency=medium

  * 139.0.7258.66

 -- Linux Mint <root@linuxmint.com>  Tue, 05 Aug 2025 19:32:16 +0100
