## chromium 139.0.7258.138~linuxmint1+zara

=== debian/changelog ===
chromium (139.0.7258.138~linuxmint1+zara) unstable; urgency=medium

  * 139.0.7258.138

 -- Linux Mint <root@linuxmint.com>  Tue, 19 Aug 2025 21:26:17 +0100
