## chromium 139.0.7258.138

=== debian/changelog ===
chromium (139.0.7258.138-1~deb13u1) trixie-security; urgency=high

  * New upstream security release.
    - CVE-2025-9132: Out of bounds write in V8.
      Reported by Google Big Sleep.

 -- Andres Salomon <dilinger@debian.org>  Tue, 19 Aug 2025 18:51:36 -0400
