## chromium 139.0.7258.154

=== debian/changelog ===
chromium (139.0.7258.154-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-9478: Use after free in ANGLE.
      Reported by Google Big Sleep.
  * d/patches/bookworm/stdarch-arm.patch: drop to fix FTBFS on arm64
    with newer rustc-web.

 -- Andres Salomon <dilinger@debian.org>  Tue, 26 Aug 2025 17:38:45 -0400

chromium (139.0.7258.138-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-9132: Out of bounds write in V8.
      Reported by Google Big Sleep.

 -- Andres Salomon <dilinger@debian.org>  Tue, 19 Aug 2025 18:51:36 -0400

chromium (139.0.7258.127-1~deb12u1) bookworm-security; urgency=high

  * New upstream security release.
    - CVE-2025-8879: Heap buffer overflow in libaom. Reported by Anonymous
    - CVE-2025-8880: Race in V8. Reported by Seunghyun Lee (@0x10n).
    - CVE-2025-8901: Out of bounds write in ANGLE.
      Reported by Google Big Sleep.
    - CVE-2025-8881: Inappropriate implementation in File Picker.
      Reported by Alesandro Ortiz.
    - CVE-2025-8882: Use after free in Aura. Reported by Umar Farooq.

 -- Andres Salomon <dilinger@debian.org>  Tue, 12 Aug 2025 17:12:12 -0400

chromium (139.0.7258.66-1~deb12u1) bookworm-security; urgency=high

  * New upstream stable release.
    - CVE-2025-8576: Use after free in Extensions. Reported by asnine.
    - CVE-2025-8577: Inappropriate implementation in Picture In Picture.
      Reported by Umar Farooq.
    - CVE-2025-8578: Use after free in Cast. Reported by Fayez.
    - CVE-2025-8579: Inappropriate implementation in Gemini Live in
      Chrome. Reported by Alesandro Ortiz.
    - CVE-2025-8580: Inappropriate implementation in Filesystems.
      Reported by Huuuuu.
    - CVE-2025-8581: Inappropriate implementation in Extensions.
      Reported by Vincent Dragnea.
    - CVE-2025-8582: Insufficient validation of untrusted input in DOM.
      Reported by Anonymous.
    - CVE-2025-8583: Inappropriate implementation in Permissions.
      Reported by Shaheen Fazim.
  * d/copyright: delete third_party/enterprise_companion, as it includes
    a binary.
  * d/control:
    - Replace elfutils build-dep with llvm-19 for switch to llvm-strip.
    - Update rustc-web build-dep to >= 1.84.
  * d/rules:
    - drop enable_nacl=false; upstream removed NaCL.
    - set enable_enterprise_companion=false.
    - disable Gemini AI (enable_glic=false).
  * d/patches:
    - disable/catapult.patch: refresh.
    - disable/buildtools-libc.patch: refresh.
    - system/eu-strip.patch: drop, upstream switched to llvm-strip.
    - bookworm/gn-revert-path-exists.patch: refresh & drop unused part.
    - ungoogled/disable-privacy-sandbox.patch: refresh.
    - fixes/bindgen.patch: rename to bookworm/bindgen.patch, since trixie
      now has a newer bindgen.
    - bookworm/gn-absl.patch: refresh.
    - bookworm/rust-is-none-or.patch: drop, thanks to newer rustc-web.
    - bookworm/rust-unstable-features.patch: drop - newer rustc-web.
    - bookworm/bubble-contents.patch: drop, no longer needed.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - sandbox/0001-sandbox-linux-Update-syscall-helpers-lists-for-ppc64.patch:
      Refresh for upstream changes
    - sandbox/0009-sandbox-updates-138.patch: Properly handle IPC and send
      syscalls
    - third_party/0001-add-xnn-ppc64el-support.patch: Refresh for upstream
      changes
    - third_party/0002-regenerate-xnn-buildgn.patch: Regenerate from upstream
      sources
    - third_party/skia-vsx-instructions.patch: Refresh for upstream changes
    - fixes/fix-partition-alloc-compile.patch: Refresh for upstream changes

 -- Andres Salomon <dilinger@debian.org>  Tue, 05 Aug 2025 17:48:13 -0400

chromium (72.0.3626.122-1) un
