## chromium 140.0.7339.80~linuxmint1+faye

=== debian/changelog ===
chromium (140.0.7339.80~linuxmint1+faye) unstable; urgency=medium

  * 140.0.7339.80

 -- Linux Mint <root@linuxmint.com>  Tue, 02 Sep 2025 22:07:15 +0100

chromium (139.0.7258.154~linuxmint1) unstable; urgency=medium

  * 139.0.7258.154

 -- Linux Mint <root@linuxmint.com>  Tue, 26 Aug 2025 19:02:15 +0100

chromium (139.0.7258.138~linuxmint1) unstable; urgency=medium

  * 139.0.7258.138

 -- Linux Mint <root@linuxmint.com>  Tue, 19 Aug 2025 21:26:17 +0100
