## chromium 140.0.7339.80~linuxmint1+zara

=== debian/changelog ===
chromium (140.0.7339.80~linuxmint1+zara) unstable; urgency=medium

  * 140.0.7339.80

 -- Linux Mint <root@linuxmint.com>  Tue, 02 Sep 2025 22:07:15 +0100
