## chromium 140.0.7339.80

=== debian/changelog ===
chromium (140.0.7339.80-1~deb13u1) trixie-security; urgency=medium

  * New upstream stable release.
    - CVE-2025-9864: Use after free in V8.
      Reported by Pavel Kuzmin of Yandex Security Team.
    - CVE-2025-9865: Inappropriate implementation in Toolbar.
      Reported by Khalil Zhani.
    - CVE-2025-9866: Inappropriate implementation in Extensions.
      Reported by NDevTK.
    - CVE-2025-9867: Inappropriate implementation in Downloads.
      Reported by Farras Givari.
  * d/patches:
    - fixes/armhf-icf.patch: refresh.
    - disable/tests.patch: refresh.
    - disable/catapult.patch: refresh.
    - disable/widevine-cdm-cu.patch: refresh (and make it shorter).
    - bookworm/clang19.patch: refresh.
    - disable/android.patch: delete a new reference to chrome/android/.
    - disable/buildtools-libc.patch: drop due to upstream cleanups.
    - trixie/rust-no-alloc-shim.patch: add a build fix for older rustc.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0002-regenerate-xnn-buildgn.patch: Refresh for upstream
      changes
    - fixes/fix-study-crash.patch: Refresh for upstream changes
    - core/add-ppc64-architecture-to-extensions.diff: Refresh for upstream
      changes
    - fixes/fix-unknown-warning-option-messages.diff: Refresh for upstream
      changes
    - libaom/0001-Add-pregenerated-config-for-libaom-on-ppc64.patch:
      Regenerate from new upstream version
    - third_party/0003-third_party-ffmpeg-Add-ppc64-generated-config.patch:
      Regenerate from new upstream version

 -- Andres Salomon <dilinger@debian.org>  Thu, 04 Sep 2025 23:24:57 -0400

chromium (139.0.7258.154-1~deb13u1) trixie-security; urgency=high

  * New upstream security release.
    - CVE-2025-9478: Use after free in ANGLE.
      Reported by Google Big Sleep.

 -- Andres Salomon <dilinger@debian.org>  Tue, 26 Aug 2025 17:38:45 -0400
