## chromium 140.0.7339.127~linuxmint1+faye

=== debian/changelog ===
chromium (140.0.7339.127~linuxmint1+faye) unstable; urgency=medium

  * 140.0.7339.127

 -- Linux Mint <root@linuxmint.com>  Tue, 09 Sep 2025 22:43:55 +0100

chromium (140.0.7339.80~linuxmint1) unstable; urgency=medium

  * 140.0.7339.80

 -- Linux Mint <root@linuxmint.com>  Tue, 02 Sep 2025 22:07:15 +0100
