## chromium 140.0.7339.127~linuxmint1+zara

=== debian/changelog ===
chromium (140.0.7339.127~linuxmint1+zara) unstable; urgency=medium

  * 140.0.7339.127

 -- Linux Mint <root@linuxmint.com>  Tue, 09 Sep 2025 22:43:55 +0100
