## chromium 140.0.7339.127

=== debian/changelog ===
chromium (140.0.7339.127-1) unstable; urgency=high

  [ Andres Salomon ]
  * New upstream security release.
    - CVE-2025-10200: Use after free in Serviceworker.
      Reported by Looben Yang.
    - CVE-2025-10201: Inappropriate implementation in Mojo.
      Reported by Sahan Fernando & Anon.

  [ Jianfeng Liu ]
  * drop not working fixes/libsync-rk3588-panthor.patch.
  * drop fixes/strlcpy.patch, which isn't needed w/ clang-19.

 -- Andres Salomon <dilinger@debian.org>  Tue, 09 Sep 2025 17:50:07 -0400

chromium (140.0.7339.80-1) unstable; urgency=medium

  * New upstream stable release.
    - CVE-2025-9864: Use after free in V8.
      Reported by Pavel Kuzmin of Yandex Security Team.
    - CVE-2025-9865: Inappropriate implementation in Toolbar.
      Reported by Khalil Zhani.
    - CVE-2025-9866: Inappropriate implementation in Extensions.
      Reported by NDevTK.
    - CVE-2025-9867: Inappropriate implementation in Downloads.
      Reported by Farras Givari.
  * d/patches:
    - fixes/armhf-icf.patch: refresh.
    - disable/tests.patch: refresh.
    - disable/catapult.patch: refresh.
    - disable/widevine-cdm-cu.patch: refresh (and make it shorter).
    - bookworm/clang19.patch: refresh.
    - disable/android.patch: delete a new reference to chrome/android/.
    - disable/buildtools-libc.patch: drop due to upstream cleanups.
    - trixie/rust-no-alloc-shim.patch: add a build fix for older rustc.

  [ Timothy Pearson ]
  * d/patches/ppc64le:
    - third_party/0002-regenerate-xnn-buildgn.patch: Refresh for upstream
      changes
    - fixes/fix-study-crash.patch: Refresh for upstream changes
    - core/add-ppc64-architecture-to-extensions.diff: Refresh for upstream
      changes
    - fixes/fix-unknown-warning-option-messages.diff: Refresh for upstream
      changes
    - libaom/0001-Add-pregenerated-config-for-libaom-on-ppc64.patch:
      Regenerate from new upstream version
    - third_party/0003-third_party-ffmpeg-Add-ppc64-generated-config.patch:
      Regenerate from new upstream version

 -- Andres Salomon <dilinger@debian.org>  Tue, 02 Sep 2025 20:12:17 -0400

chromium (139.0.7258.154-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-9478: Use after free in ANGLE.
      Reported by Google Big Sleep.

 -- Andres Salomon <dilinger@debian.org>  Tue, 26 Aug 2025 17:38:45 -0400

chromium (139.0.7258.138-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-9132: Out of bounds write in V8.
      Reported by Google Big Sleep.

 -- Andres Salomon <dilinger@debian.org>  Tue, 19 Aug 2025 18:51:36 -0400

chromium (139.0.7258.127-2) unstable; urgency=high

  * d/patches:
      - bookworm/adler1.patch: drop, rustc in sid is now new enough for
        adler2. Also move it into trixie/adler1.patch.
      - bookworm/libxml-parseerr.patch: drop, libxml in sid is upgraded.
        Also move it to trixie/libxml-parseerr.patch.
  * d/control: update build-deps to require rust >= 1.86, libxml >= 2.14.

 -- Andres Salomon <dilinger@debian.org>  Fri, 15 Aug 2025 04:36:05 -0400

chromium (139.0.7258.127-1) unstable; urgency=high

  * New upstream security release.
    - CVE-2025-8879: Heap buffer overflow in libaom. Reported by Anonymous
    - CVE-2025-8880: Race in V8. Reported by Seunghyun Lee (@0x10n).
    - CVE-2025-8901: Out of bounds write in ANGLE.
      Reported by Google Big Sleep.
    - CVE-2025-8881: Inappropriate implementation in File Picker.
      Reported by Alesandro Ortiz.
    - CVE-2025-8882: Use after free in Aura. Reported by Umar Farooq.

 -- Andres Salomon <dilinger@debian.org>  Tue, 12 Aug 2025 17:12:12 -0400
