=== debian/control ===
--- 
+++ 
@@ -20,8 +20,8 @@
  clang-format-19:native,
  libclang-rt-19-dev,
  libc++-19-dev,
- rustc:any (>= 1.74),
- libstd-rust-dev (>= 1.74),
+ rustc:any (>= 1.86),
+ libstd-rust-dev (>= 1.86),
  bindgen:native,
  python3:any,
  pkgconf,
@@ -69,7 +69,7 @@
  libopus-dev,
  libxtst-dev,
  libjpeg-dev,
- libxml2-dev (>= 2.12),
+ libxml2-dev (>= 2.14),
  libgtk-3-dev,
  libxslt1-dev,
  liblcms2-dev,
