## chromium 140.0.7339.185~linuxmint1+zara

=== debian/changelog ===
chromium (140.0.7339.185~linuxmint1+zara) unstable; urgency=medium

  * 140.0.7339.185

 -- Linux Mint <root@linuxmint.com>  Wed, 17 Sep 2025 19:40:51 +0100
