=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 
 # indicate that binary targets do not require root
 export DEB_RULES_REQUIRES_ROOT=no
+
+include /usr/share/dpkg/pkg-info.mk
 
 -include /usr/share/dpkg/architecture.mk
 
@@ -43,6 +45,11 @@
 
 # more verbose linker output
 export LDFLAGS+=-Wl,--stats
+
+# Our builder has a *lot* of cores. lld's thread-parallelism gets a bit
+# over-excited and exceeds the per-process virtual memory limit on armhf.
+# Somewhere around 10-20 should work but use 1 for now, it isn't too slow.
+export LDFLAGS+=-Wl,--threads=1
 
 # extra flags to reduce warnings that aren't very useful
 export CXXFLAGS+=-Wno-conversion \
@@ -68,7 +75,7 @@
 export CLANG_MVERS:=$(shell $(CC) --version 2>/dev/null | sed -n 's/.* clang version //p' | cut -d. -f1)
 rust_sysroot=/usr
 defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
-defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
+defines+=rust_bindgen_root=\"/usr\"
 defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version 2>/dev/null)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
@@ -105,7 +112,7 @@
 defines+=use_thin_lto=false \
          concurrent_links=1
 else
-defines+=use_thin_lto=false
+defines+=use_thin_lto=true
 endif
 
 # disabled features
@@ -121,7 +128,6 @@
          enable_glic=false \
          build_dawn_tests=false \
          enable_iterator_debugging=false \
-         enable_hangout_services_extension=false \
          angle_has_histograms=false \
          angle_build_tests=false \
          build_angle_perftests=false \
@@ -153,10 +159,31 @@
          ffmpeg_branding=\"Chrome\" \
          disable_fieldtrial_testing_config=true \
 
+
+# Extra Pi customisations:
+# Dawn seems to really want Vulkan - Chrome doesn't like our Vulkan
+# this causes a hiccup about a min after startup.
+# Disabling Dawn seems to create no penalty but this probably won't
+# be true indefinitely
+defines+=use_dawn=false skia_use_dawn=false
+# Enables screen sharing in hangouts
+defines+=enable_hangout_services_extension=true
+# We don't have the required GL extensions to enable GL passthrough so must
+# enable the validating decode otherwise we get a fatal GPU error
+defines+=enable_validating_command_decoder=true
+
+
 # handle parallel build options
 njobs=1
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 njobs=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+
+# Limit gn threads to 30 on armhf to avoid allocation errors
+ifeq (armhf,$(DEB_HOST_ARCH))
+threads=$(intcmp $(njobs),30,$(njobs),30)
+else
+threads=$(njobs)
 endif
 
 DIST := $(shell dpkg-parsechangelog -l debian/changelog  | sed -n 's/^Distribution: //p')
@@ -175,17 +202,7 @@
 		}; \
 	fi
 
-set_up_bindgen:
-	# Bookworm's bindgen is too old. This is a workaround using the
-	# packages from
-	# <https://snapshot.debian.org/package/rust-bindgen-cli/0.66.1-3/>, which
-	# are new enough to build chromium but old enough to not be linked against
-	# Trixie's libc6 2.38
-	mkdir -p debian/bindgen/root
-	ar --output debian/bindgen/root vx debian/bindgen/bindgen_0.66.1-3_$(DEB_HOST_ARCH).deb
-	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
-
-override_dh_auto_configure: test_armhf_neon set_up_bindgen
+override_dh_auto_configure: test_armhf_neon
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
@@ -205,7 +222,7 @@
 	./debian/scripts/unbundle
 
 override_dh_auto_build-arch:
-	gn gen out/Release --args="$(defines)"
+	gn gen out/Release --args="$(defines)" --threads="$(threads)"
 	ninja -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
 	cp out/Release/chrome out/Release/chromium
 	cp out/Release/content_shell out/Release/chromium-shell
@@ -217,18 +234,3 @@
 	    < chrome/app/resources/manpage.1.in > out/Release/chromium.1
 
 override_dh_auto_build-indep:
-	gn gen out/Release --args="$(defines)"
-	ninja -j$(njobs) -C out/Release packed_resources
-	rm -f out/Release/locales/en-US.pak
-
-override_dh_auto_install-arch:
-	dh_auto_install
-	# update launcher script with build information
-	sed 's|@BUILD_DIST@|$(shell . /etc/os-release && echo "$$PRETTY_NAME")|' \
-	    < debian/scripts/chromium > debian/chromium/usr/bin/chromium
-	# move icons into /usr/share
-	./debian/scripts/icons
-
-override_dh_fixperms:
-	dh_fixperms --exclude chrome-sandbox
-
