=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
 
 # enable verbose build messages
 export DH_VERBOSE=1
 
 # indicate that binary targets do not require root
 export DEB_RULES_REQUIRES_ROOT=no
-
-include /usr/share/dpkg/pkg-info.mk
 
 -include /usr/share/dpkg/architecture.mk
 
@@ -75,7 +75,7 @@
 export CLANG_MVERS:=$(shell $(CC) --version 2>/dev/null | sed -n 's/.* clang version //p' | cut -d. -f1)
 rust_sysroot=/usr
 defines+=rust_sysroot_absolute=\"$(rust_sysroot)\"
-defines+=rust_bindgen_root=\"/usr\"
+defines+=rust_bindgen_root=\"$(CURDIR)/debian/bindgen/root/usr\"
 defines+=rustc_version=\"$(shell $(rust_sysroot)/bin/rustc --version 2>/dev/null)\"
 defines+=clang_base_path=\"/usr/lib/llvm-$(CLANG_MVERS)\"
 defines+=clang_version=\"$(CLANG_MVERS)\"
@@ -112,7 +112,7 @@
 defines+=use_thin_lto=false \
          concurrent_links=1
 else
-defines+=use_thin_lto=true
+defines+=use_thin_lto=false
 endif
 
 # disabled features
@@ -179,13 +179,6 @@
 njobs=$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
-# Limit gn threads to 30 on armhf to avoid allocation errors
-ifeq (armhf,$(DEB_HOST_ARCH))
-threads=$(intcmp $(njobs),30,$(njobs),30)
-else
-threads=$(njobs)
-endif
-
 DIST := $(shell dpkg-parsechangelog -l debian/changelog  | sed -n 's/^Distribution: //p')
 
 %:
@@ -202,7 +195,17 @@
 		}; \
 	fi
 
-override_dh_auto_configure: test_armhf_neon
+set_up_bindgen:
+	# Bookworm's bindgen is too old. This is a workaround using the
+	# packages from
+	# <https://snapshot.debian.org/package/rust-bindgen-cli/0.66.1-3/>, which
+	# are new enough to build chromium but old enough to not be linked against
+	# Trixie's libc6 2.38
+	mkdir -p debian/bindgen/root
+	ar --output debian/bindgen/root vx debian/bindgen/bindgen_0.66.1-3_$(DEB_HOST_ARCH).deb
+	tar -C debian/bindgen/root -Jxvf debian/bindgen/root/data.tar.xz
+
+override_dh_auto_configure: test_armhf_neon set_up_bindgen
 	# verify that we're not accidentally uploading to stable-security without CVEs
 	@echo "$(DIST)" | grep -q -- '-security' && { \
 		dpkg-parsechangelog -l debian/changelog | grep -q 'CVE-' || { \
@@ -222,15 +225,8 @@
 	./debian/scripts/unbundle
 
 override_dh_auto_build-arch:
-	gn gen out/Release --args="$(defines)" --threads="$(threads)"
+	gn gen out/Release --args="$(defines)"
 	ninja -j$(njobs) -C out/Release chrome chrome_sandbox content_shell chromedriver headless_shell
 	cp out/Release/chrome out/Release/chromium
 	cp out/Release/content_shell out/Release/chromium-shell
 	cp out/Release/headless_shell out/Release/chromium-headless-shell
-	cp out/Release/chrome_sandbox out/Release/chrome-sandbox
-	cp out/Release/locales/en-US.pak out/Release/resources
-	chmod 4755 out/Release/chrome-sandbox # suid sandbox
-	sed -e s/@@PACKAGE@@/chromium/g -e s/@@MENUNAME@@/chromium/g \
-	    < chrome/app/resources/manpage.1.in > out/Release/chromium.1
-
-override_dh_auto_build-indep:
