## chromium 141.0.7390.54~linuxmint1+faye

=== debian/changelog ===
chromium (141.0.7390.54~linuxmint1+faye) unstable; urgency=medium

  * 141.0.7390.54

 -- Linux Mint <root@linuxmint.com>  Tue, 30 Sep 2025 21:19:32 +0100

chromium (140.0.7339.207~linuxmint1) unstable; urgency=medium

  * 140.0.7339.207

 -- Linux Mint <root@linuxmint.com>  Tue, 23 Sep 2025 20:04:17 +0100

chromium (140.0.7339.185~linuxmint1) unstable; urgency=medium

  * 140.0.7339.185

 -- Linux Mint <root@linuxmint.com>  Wed, 17 Sep 2025 19:40:51 +0100
