## chromium 141.0.7390.54~linuxmint1+gigi

=== debian/changelog ===
chromium (141.0.7390.54~linuxmint1+gigi) unstable; urgency=medium

  * 141.0.7390.54

 -- Linux Mint <root@linuxmint.com>  Tue, 30 Sep 2025 21:19:32 +0100
