## chromium 141.0.7390.65

=== debian/changelog ===
chromium (141.0.7390.65-1~deb13u1) trixie-security; urgency=high

  * New upstream security release.
    - CVE-2025-11458: Heap buffer overflow in Sync.
      Reported by raven at KunLun lab.
    - CVE-2025-11460: Use after free in Storage. Reported by Sombra.
    - CVE-2025-11211: Out of bounds read in WebCodecs.
      Reported by Jakob Košir.

 -- Andres Salomon <dilinger@debian.org>  Tue, 07 Oct 2025 20:11:58 -0400
